# Copyright © Michal Čihař <michal@weblate.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

# Generated by Django 4.2.3 on 2023-08-04 10:56

from django.db import migrations

from weblate.utils.fields import migrate_json_field


def accounts_jsonfield(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    migrate_json_field(apps.get_model("accounts", "AuditLog"), db_alias, "params")


class Migration(migrations.Migration):
    dependencies = [
        ("accounts", "0028_auditlog_params_new"),
    ]

    operations = [migrations.RunPython(accounts_jsonfield, elidable=True)]
