# Copyright © Michal Čihař <michal@weblate.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

# Generated by Django 4.2.3 on 2023-08-23 16:23

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("accounts", "0033_alter_auditlog_activity"),
    ]

    operations = [
        migrations.AlterField(
            model_name="subscription",
            name="frequency",
            field=models.IntegerField(
                choices=[
                    (0, "No notification"),
                    (1, "Instant notification"),
                    (2, "Daily digest"),
                    (3, "Weekly digest"),
                    (4, "Monthly digest"),
                ]
            ),
        ),
        migrations.AlterField(
            model_name="subscription",
            name="notification",
            field=models.CharField(
                choices=[
                    (
                        "RepositoryNotification",
                        "Operation was performed in the repository",
                    ),
                    ("LockNotification", "Component was locked or unlocked"),
                    ("LicenseNotification", "License was changed"),
                    ("ParseErrorNotification", "Parse error occured"),
                    ("NewStringNotificaton", "New string is available for translation"),
                    (
                        "NewContributorNotificaton",
                        "Contributor made their first translation",
                    ),
                    ("NewSuggestionNotificaton", "Suggestion was added"),
                    ("NewCommentNotificaton", "Comment was added"),
                    ("MentionCommentNotificaton", "You were mentioned in a comment"),
                    (
                        "LastAuthorCommentNotificaton",
                        "Your translation received a comment",
                    ),
                    ("TranslatedStringNotificaton", "String was edited by user"),
                    ("ApprovedStringNotificaton", "String was approved"),
                    ("ChangedStringNotificaton", "String was changed"),
                    (
                        "NewTranslationNotificaton",
                        "New language was added or requested",
                    ),
                    (
                        "NewComponentNotificaton",
                        "New translation component was created",
                    ),
                    ("NewAnnouncementNotificaton", "Announcement was published"),
                    ("NewAlertNotificaton", "New alert emerged in a component"),
                    ("MergeFailureNotification", "Repository operation failed"),
                    ("PendingSuggestionsNotification", "Pending suggestions exist"),
                    ("ToDoStringsNotification", "Unfinished strings exist"),
                ],
                max_length=100,
            ),
        ),
    ]
