# Copyright © Michal Čihař <michal@weblate.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

# Generated by Django 4.2.3 on 2023-09-05 11:46

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("trans", "0184_alter_change_action"),
    ]

    operations = [
        migrations.AlterField(
            model_name="component",
            name="allow_translation_propagation",
            field=models.BooleanField(
                default=True,
                help_text="Whether translation updates in other components will cause automatic translation in this one",
                verbose_name="Allow translation propagation",
            ),
        ),
        migrations.AlterField(
            model_name="component",
            name="project",
            field=models.ForeignKey(
                db_index=False,
                on_delete=django.db.models.deletion.CASCADE,
                to="trans.project",
                verbose_name="Project",
            ),
        ),
        migrations.AddIndex(
            model_name="component",
            index=models.Index(
                fields=["project", "allow_translation_propagation"],
                name="trans_compo_project_d044e1_idx",
            ),
        ),
    ]
